<div class="input-default-models" {{did-insert this.setup}} {{did-update this.setup @team}}>
  {{#each this.pairs as |pair|}}
    <div class="model-value mb-3">
      <Label @value={{t (concat "model-name." pair.name)}} as |id|>
        <Input::Select id={{id}} @list={{pair.valueList}} @value={{pair.value}} @onChange={{fn this.change pair.name}} />
      </Label>

      {{#if pair.value}}
        <button class="btn btn-danger btn-remove" type="button" {{on "click" (fn this.clear pair)}}>
          <FaIcon @icon="xmark" />
        </button>
      {{/if}}
    </div>
  {{/each}}
</div>